#!/bin/bash
#检查系统是否是Ubuntu 10.04
DIST=`cat /etc/issue|grep 10.04|wc -l`
if [ "${DIST}" == "1" ] ; then
   echo "OS OK"
else
   echo "OS must is Ubuntu 10.04"
   exit 1
fi

#安装 unzip unrar wget rsync
sudo apt-get -y install unzip unrar wget rsync cron aptitude

#删除 apache2
sudo aptitude -y remove apache2

#准备第三方源
sudo aptitude -y install python-software-properties
sudo add-apt-repository ppa:nginx/stable
sudo add-apt-repository ppa:brianmercer/php
sudo aptitude -y update

#安装 php 和 php5-fpm
sudo aptitude -y install php5-cli php5-common php5-mysql php5-suhosin php5-gd php5-fpm php5-cgi php-pear php5-memcache php5-recode php-apc
sudo service php5-fpm start
CHECK_FPM_STATUS=`netstat -ln | grep :9000|wc -l`
if [ "${CHECK_FPM_STATUS}" == '0' ]; then
   echo "Install php faild."
   exit 1
else
   echo "php OK"
fi

#安装 nginx
sudo aptitude -y install nginx
sudo service nginx start
CHECK_NGINX_STATUS=`netstat -ln | grep :80|wc -l`
if [ "${CHECK_NGINX_STATUS}" == '0' ]; then
   echo "Install nginx faild."
   exit 1
else
   echo "nginx OK"
fi

#安装 mysql
sudo aptitude -y install mysql-server 
CHECK_MYSQL_STATUS=`netstat -ln | grep :3306|wc -l`
if [ "${CHECK_MYSQL_STATUS}" == '0' ]; then
   echo "Install mysql faild."
   exit 1
else
   echo "mysql OK"
fi

echo "install lnmp ok"

